<?php
session_start();

$response = [
  "autorizado" => false,
  "rol" => null,
  "usuario" => null
];

if (isset($_SESSION["usuario"]) && $_SESSION["rol"] === "superadmin") {
  $response["autorizado"] = true;
  $response["rol"] = $_SESSION["rol"];
  $response["usuario"] = $_SESSION["usuario"];
}

echo json_encode($response);

?>
